from flask import request
from flask_jwt_extended.utils import verify_token_claims
from flask_jwt_extended.view_decorators import _decode_jwt_from_request


def get_jwt_from_request():
    jwt_data, jwt_header = _decode_jwt_from_request(request_type='access')
    verify_token_claims(jwt_data)
    return jwt_data['identity']
